%define module_name Beam-Wire
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Beam/Emitter.pm) perl(Beam/Service.pm) perl(CPAN/Meta/Requirements.pm) perl(Config/Any.pm) perl(Data/DPath.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Module/Metadata.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Test/Deep.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Throwable.pm) perl(Types/Standard.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.023
Release: alt1
Summary: A Dependency Injection Container
Group: Development/Perl
License: perl
URL: https://github.com/preaction/Beam-Wire

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PREACTION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CONTRIBUTING.md CHANGES
%perl_vendor_privlib/B*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Mar 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.023-alt1
- updated by package builder

* Tue Aug 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.022-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.021-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 1.020-alt1
- regenerated from template by package builder

* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 1.019-alt1
- regenerated from template by package builder

* Tue Nov 03 2015 Igor Vlasenko <viy@altlinux.ru> 1.014-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.013-alt1
- regenerated from template by package builder

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.009-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 1.003-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.000-alt1
- initial import by package builder

